function evaluate()
%Diese Methode stellt den Verlauf der Gewichte und der Aktivierung des
%Modells bei den verschiedenen Testmustern dar.

%globale Variablen zur Kommunikation
global hasLearned weights noInh noUpCS noCS proportions outCourse weightCourse step testPattern noTrials

alpha  = get(findobj(gcbf, 'Tag', 'EditText2'), 'String');
USplus = get(findobj(gcbf, 'Tag', 'edit1'), 'String');
USminus = get(findobj(gcbf, 'Tag', 'edit2'), 'String');
plotWeightsYes = get(findobj(gcbf, 'Tag', 'plotWeightsYes_checkbox'), 'value');
plotResponseYes= get(findobj(gcbf, 'Tag', 'plotResponseYes_checkbox'), 'value');

%liegt ein angelerntes Netz vor?
if (hasLearned == 0)
    helpdlg('For evaluating a learned net is necessary. Initialize and learn a new net or load a previous learned one first.', 'Note')
end

%Im Augenblick werden die Dateien in daselbe Verzeichnis geschrieben in dem
%auch die Musterdatei liegt.
pathField = findobj(gcbf, 'Tag', 'EditText1');
pathString = get(pathField, 'String');
index = strfind(pathString, '\');
path = pathString(1:index(end));

%zuerst die Gewichte im Verlauf
if plotWeightsYes == 1
plotWeigthCourse(weightCourse, step, noTrials - 1);
end 

%Der Gewichtsverlauf wird standardmig Gewichte.ver genannt.
weightFile = strcat(path, 'Weights.ver');
dlmwrite(weightFile,weightCourse);

%und dann die Aktivierungen
if ~isempty(outCourse)
    if plotResponseYes == 1
    plotOutCourse(outCourse, step, noTrials - 1, testPattern(:, end), USplus, USminus, alpha);
    end
    %Der Aktivierungsverlauf wird standardmig Aktivierung.ver genannt.
    outFile = strcat(path, 'Responses.ver');
    dlmwrite(outFile,outCourse);
end

%die globalen Variablen freigeben
clear hasLearned;
clear weights;
clear noInh;
clear noUpCS;
clear noCS;
clear proportions;
clear outCourse;
clear weightCourse;
clear step;
clear testPattern;
clear noTrials;