function loadNet()
%Diese Methode ldt eine angelerntes Netz aus der im Feld
%"Pfad der Eingabedatei" angegebenen Datei.

%globale Variablen zur Kommunikation mit den anderen Methoden
global hasLearned weights noInh noUpCS noCS

pathField = get(findobj(gcbf, 'Tag', 'EditText7'), 'String');

%falls eine Datei angegeben ist lesen wir sie ein und setzen
%die Gewichte entsprechend
if(~isempty(pathField))
    [fileID, err] = fopen(pathField, 'rt');

    if(fileID == -1)
        error(err)
    end

    %Die Anzahl der Gewichte bestimmen und ein Feld entsprechender
    %Gre anlegen
    nextLine = fgetl(fileID);
    noW = str2num(nextLine);
    weights = zeros(1, noW);
    %Auerdem mssen wir noch die Werte fr die globalen
    %Variablen noInh, noUpCS und noCS lesen und speichern.
    nextLine = fgetl(fileID);
    [token, nextLine] = strtok(nextLine);
    noCS = str2num(token);
    [token, nextLine] = strtok(nextLine);
    noUpCS = str2num(token);
    [token, nextLine] = strtok(nextLine);
    noInh = str2num(token);

    %nach auen signalisieren wir die Kenngren, idem wir sie
    %in die entsprechenden Eingabefelder schreiben
    set(findobj(gcbf, 'Tag', 'EditText4'), 'String', num2str(noCS));
    set(findobj(gcbf, 'Tag', 'EditText8'), 'String', num2str(noUpCS));
    set(findobj(gcbf, 'Tag', 'EditText9'), 'String', num2str(noInh));

    %Jetzt mssen die Gewichte nur noch eingelesen werden.
    %In jeder Zeile stehen maximal 8 Gewichte
    fullSteps = floor(noW/8);
    remain = noW - (fullSteps * 8);

    %alle vollbestzten Zeile lesen
    for i = 1:8:(fullSteps*8)
        %Kommentare berspringen
        fgetl(fileID);
        %bevor wir den String analysieren
        nextLine = fgetl(fileID);

        for j = i:(i+7)
            [token, nextLine] = strtok(nextLine);
            weights(j) = str2num(token);
        end
    end

    %und dann eventuell noch eine nicht ganz besetzte.
    fgetl(fileID);
    nextLine = fgetl(fileID);
    i = (fullSteps * 8) + 1;
    for j = i:(i+remain-1)
        [token, nextLine] = strtok(nextLine);
        weights(j) = str2num(token);
    end

    %Datei schliessen
    fclose(fileID);
else
    errordlg('Please enter the path of the weight input file');
end


%wenn das einlesen geklappt hat darf evaluiert werden
hasLearned = 1;

%und die globalen Variablen wieder freigeben
clear hasLearned;
clear weights;
clear noInh;
clear noUpCS;
clear noCS;
