function saveNet()
%Diese Methode speichert die Gewichte eines angelernten Netzes
%in der im Feld "Pfad der Ausgabedatei" angegebenen Datei.

%globale Variablen um mit den anderen Methoden zu kommunizieren
global hasLearned weights noInh noUpCS noCS

%hat das Netz berhaupt schon was gelernt?
if (hasLearned == 0)
   error('There is nothing learned about the net. Hence, nothing will be saved.')
end

%Nun die Datei zum Schreiben ffnen. Falls die Datei noch nicht
%vorhanden ist wird sie angelegt. Wenn sie schon vorhanden ist
%wird sie berschrieben.
[fileID, err] = fopen(get(findobj(gcbf, 'Tag', 'EditText6'), 'String'), 'wt');

if(fileID == -1)
   errordlg('Please enter a path for the weight output file.', 'File missing')
return
end

%am Anfang der Datei steht die Anzahl der Gewichte
noW = length(weights);
fprintf(fileID, '%d\n', noW);
%danach, durch Tabulator getrennt, zuerst die Anzahl der CS
%dann die Anzahl der Elemente pro CS und danach die Anzahl
%der gehemmten Units.
fprintf(fileID, '%d\t%d\t%d\n', noCS, noUpCS, noInh);

%In jede Zeile werden maximal 8 Gewichte geschrieben
fullSteps = floor(noW/8);
remain = noW - (fullSteps * 8);

%zuerst alle vollbesetzten Zeilen schreiben
for i = 1:8:(fullSteps*8)
   fprintf(fileID, '#weights %d to %d\n', i, i+7);
   for j = i:(i+7)
      fprintf(fileID, '%6.2f\t', weights(j));
   end
   fprintf(fileID, '\n');
end

%und dann eventuell noch eine nicht ganz besetzte.
i = (fullSteps * 8) + 1;

fprintf(fileID, '#weights %d to %d\n', i, i+remain-1);
for j = i:(i+remain-1)
   fprintf(fileID, '%6.2f\t', weights(j));
end

%und natrlich mu die Datei geschlossen werden
fclose(fileID);

%und die globalen Variablen wieder freigeben fr die anderen Funktionen
clear hasLearned;
clear weights;
clear noInh;
clear noUpCS;
clear noCS;
return;