function stdBackProp(noIter, alpha)
%Diese Methode lernt das Netz mit den gegebenen Lernmustern
%nach dem Standard-Back-Propagation verfahren an. Als ber-
%tragungsfunktion wird die Netzeingabe verwendet (Skalar-
%multiplikation) des Eingabe- mit dem Gewichtsvektor. Die
%Aktivierungsfunktion ist die einfache Sigmoidfunktion:
%(1+ exp(-net))^-1.

%auch hier brauchen wir wieder globale Variablen um mit den
%anderen Callbacks kommunizieren zu knnen.
global isInit pattern weights hasLearned

%erstmal gucken ob die zu verwenden Datenstrukturen schon
%existieren, d.h. das Netz schon initialisiert wurde.
if (isInit == 0)
   errordlg ('Please initialize a net before learning!')
end

%Anzahl der Lerndurchgnge, Muster, Input-Units und Lernparameter holen
[noPat, tmp] = size(pattern);
noInp  = tmp-1;

%bei jeder Iteration werden alle Muster gelernt.
for i = 1:noIter
   for j = 1:noPat
      inp        = pattern(j, 1:noInp);
      teach      = pattern(j, noInp+1);
      net        = weights*inp';
      activation = simpleSigmoid(net);
      weights = weights + (alpha * derivateSigmoid(net) * (teach - activation) * inp);
   end
end

%wenn alles geklappt hat signalisieren wir das mit
hasLearned = 1;

%und die Globals wieder freigeben
clear isInit;
clear pattern;
clear weights;
clear hasLearned;

%Die Formel fr die oben angegebene Sigmoidfunktion
function act = simpleSigmoid(val)
act = (1./(1+exp(-val)));

%und deren Ableitung
function derived = derivateSigmoid(val)
derived = simpleSigmoid(val) * (1 - simpleSigmoid(val));